Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.transport.impl
Class HttpHeaders

    java.lang.Object
      org.teleal.cling.transport.impl.HttpHeaders

All Implemented Interfaces:
  Map<String,List<String>>

    public class HttpHeaders

extends Object
implements Map<String,List<String>>

Unifies HttpExchange.getRequestHeaders(), HttpExchange.setResponseHeaders(), and HttpURLConnection.getHeaderFields().

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`HttpHeaders()`
`HttpHeaders(com.sun.net.httpserver.Headers headers)`
`HttpHeaders(Map<String,List<String>> map)`

Method Summary
`void` | `add(String key, String value)`
`void` | `clear()`
`boolean` | `containsKey(Object key)`
`boolean` | `containsValue(Object value)`
`Set<Map.Entry<String,List<String>>>` | `entrySet()`
`boolean` | `equals(Object o)`
`List<String>` | `get(Object key)`
`String` | `getFirstHeader(String key)`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`Set<String>` | `keySet()`
`List<String>` | `put(String key, List<String> value)`
`void` | `putAll(Map<? extends String,? extends List<String>> t)`
`List<String>` | `remove(Object key)`
`void` | `set(String key, String value)`
`int` | `size()`
`Collection<List<String>>` | `values()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpHeaders

    public HttpHeaders(com.sun.net.httpserver.Headers headers)

### HttpHeaders

    public HttpHeaders(Map<String,List<String>> map)

### HttpHeaders

    public HttpHeaders()

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `Map<String,List<String>>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Map<String,List<String>>`

### containsKey

    public boolean containsKey(Object key)

  Specified by:
    `containsKey` in interface `Map<String,List<String>>`

### containsValue

    public boolean containsValue(Object value)

  Specified by:
    `containsValue` in interface `Map<String,List<String>>`

### get

    public List<String> get(Object key)

  Specified by:
    `get` in interface `Map<String,List<String>>`

### put

    public List<String> put(String key,
                            List<String> value)

  Specified by:
    `put` in interface `Map<String,List<String>>`

### remove

    public List<String> remove(Object key)

  Specified by:
    `remove` in interface `Map<String,List<String>>`

### putAll

    public void putAll(Map<? extends String,? extends List<String>> t)

  Specified by:
    `putAll` in interface `Map<String,List<String>>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map<String,List<String>>`

### keySet

    public Set<String> keySet()

  Specified by:
    `keySet` in interface `Map<String,List<String>>`

### values

    public Collection<List<String>> values()

  Specified by:
    `values` in interface `Map<String,List<String>>`

### entrySet

    public Set<Map.Entry<String,List<String>>> entrySet()

  Specified by:
    `entrySet` in interface `Map<String,List<String>>`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in interface `Map<String,List<String>>`
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Map<String,List<String>>`
  Overrides:
    `hashCode` in class `Object`

### getFirstHeader

    public String getFirstHeader(String key)

### add

    public void add(String key,
                    String value)

### set

    public void set(String key,
                    String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.